%global fontname lohit-odia
%global fontconf0 65-0-%{fontname}.conf
%global fontconf1 30-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2.91.0
Release:        3%{?dist}
Summary:        Free truetype font for Odia language

License:        OFL
URL:            https://fedorahosted.org/lohit/
Source0:        https://fedorahosted.org/releases/l/o/lohit/%{fontname}-%{version}.tar.gz
Source1:        %{name}.conf
Source2:       %{fontname}.metainfo.xml
BuildArch:      noarch
BuildRequires:  fontforge >= 20080429
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Provides:       lohit-oriya-fonts = %{version}-%{release}
Obsoletes:      lohit-oriya-fonts < 2.5.4.1-4

%description
This package provides a free truetype font for Odia language.

%prep
%setup -q -n %{fontname}-%{version} 
# To make it default font for 'or' language.
mv 66-%{fontname}.conf 65-0-lohit-odia.conf


%build
make ttf %{?_smp_mflags}

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf0} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf0}
ln -s %{_fontconfig_templatedir}/%{fontconf0} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf0}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf1}
ln -s %{_fontconfig_templatedir}/%{fontconf1} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf1}


# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
       %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f *.conf *.ttf

%doc ChangeLog COPYRIGHT OFL.txt AUTHORS README
%{_datadir}/appdata/%{fontname}.metainfo.xml


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.91.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 24 2015 Pravin Satpute <psatpute@redhat.com> - 2.91.0-1
- Updated with upstream release 2.91.0
- First release of Lohit Odia after re-writing GSUB rules.
- Open type rules are available in .fea file for easy reusability.
- Feature file compiled with AFDKO.
- Supports orya and ory2 both.
- Developer friendly glyphs names with AGL syntax format.
- Corrected glyph class for all glyphs. 
- Improved shape of ka-viramasignodia-taodia.
- Added Glyph positioning rules for below based matra.
- Test file available with release tarball.
- Auto testing support with harfbuzz hb-shape.
- Tested with Harfbuzz and Uniscribe (W8 and XP)
- Corrected feature rules for conjucts ଖ୍ର ଗ୍ର କ୍ଷ୍ଯ


* Mon Oct 20 2014 Pravin Satpute <psatpute@redhat.com> - 2.5.5-4
- Added metainfo for gnome-software

* Fri Sep 05 2014 Pravin Satpute <psatpute@redhat.com> - 2.5.5-4
- Updated obsoletes version. rhbz#1138260

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 07 2014 Pravin Satpute <psatpute@redhat.com> - 2.5.5-2
- Updated as per review comments. rhbz#1073378

* Thu Mar 06 2014 Pravin Satpute <psatpute@redhat.com> - 2.5.5-1
- Upstream release 2.5.5 with name change

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Pravin Satpute <psatpute@redhat.com> - 2.5.4.1-1
- Upstream release 2.5.4.1

* Wed May 29 2013 Pravin Satpute <psatpute@redhat.com> - 2.5.4-1
- Upstream release 2.5.4

* Thu Apr 25 2013 Pravin Satpute <psatpute@redhat.com> - 2.5.3-3
- Resolved #923215: UTRRS 123 GSub combination and other ligature

* Thu Jan 31 2013 Pravin Satpute <psatpute@redhat.com> - 2.5.3-2
- Resolved #950520

* Thu Jan 31 2013 Pravin Satpute <psatpute@redhat.com> - 2.5.3-1
- Upstream release 2.5.3

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Pravin Satpute <psatpute@redhat.com> - 2.5.1-1
- Upstream new release

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 10 2011 Pravin Satpute <psatpute@redhat.com> - 2.5.0-1
- Upstream new release with relicensing to OFL

* Wed Apr 13 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.3-9
- Resolved bug 692364

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 08 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.3-7
- resolved bug 673417, added rupee sign

* Mon Oct 25 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-6
- fixed bug 639977, resolved problem of ligature rendering with gedit and oowriter

* Wed Aug 25 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-5
- fixed bug 623995, problem with kwrite/qt

* Fri Apr 16 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-4
- fixed bug 578037, conf file

* Sun Dec 13 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.3-3
- fixed bug 548686, license field
- corrected source url

* Fri Sep 25 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.3-2
- updated specs

* Fri Sep 11 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.3-1
- first release after lohit-fonts split in new tarball
